import bpy

def origin_to_geometry():
    if(bpy.context.active_object.mode == 'EDIT'):
        bpy.ops.object.editmode_toggle()
    bpy.ops.object.origin_set(type='ORIGIN_GEOMETRY', center='MEDIAN')

def origin_to_selected():
    if(bpy.context.active_object.mode == 'EDIT'):
        bpy.ops.view3d.snap_cursor_to_selected()
        bpy.ops.object.editmode_toggle()
        bpy.ops.object.origin_set(type='ORIGIN_CURSOR', center='MEDIAN')
    else:
        bpy.ops.view3d.snap_cursor_to_selected()
        bpy.ops.object.origin_set(type='ORIGIN_CURSOR', center='MEDIAN')

def origin_to_cursor():
    if(bpy.context.active_object.mode == 'EDIT'):
        bpy.ops.object.editmode_toggle()
    bpy.ops.object.origin_set(type='ORIGIN_CURSOR', center='MEDIAN')
